* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.grid-container {
  padding: 2rem;
  background: yellowgreen;
  margin: auto;
  max-width: 40rem;
  display: grid;
  grid-gap: 1rem;
  grid-template-areas:
    "header header header header"
    "box1 box2 box3 sidebar"
    "main main main sidebar"
    "footer footer footer footer";
}
.grid-container > div {
  background-color: olivedrab;
  color: white;
  padding: 2rem;
}
.item1 {
  grid-area: header;
  height: 0.1rem;
}
.item2 {
  grid-area: box1;
  height: 7rem;
}
.item3 {
  grid-area: box2;
}
.item4 {
  grid-area: box3;
}
.item5 {
  grid-area: sidebar;
}

.item6 {
  grid-area: main;
  height: 13rem;
}

.item7 {
  grid-area: footer;
  height: 0.1rem;
}
